SDLListBoxItem(3)

NAME
SDLListBoxItem -

SYNOPSIS

#include <sdllistboxitem.h>

Inherits SDLListBoxBaseItem.

Inherited by SDLColumnItem.

  Public Methods
SDLListBoxItem (int height, char* text = NULL, SDL_Surface* icon = NULL, void* userdata = NULL)
~SDLListBoxItem ()
void LoadThemeStyle (const char* widgettype, const char* objectname)
Load a style from the theme definition.

  Protected Methods
void eventBlit (SDL_Surface* srf, SDL_Rect* src, SDL_Rect* dst)

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  SDLListBoxItem::SDLListBoxItem (int height, char * text = NULL, SDL_Surface * icon = NULL, void * userdata = NULL)

  SDLListBoxItem::~SDLListBoxItem ()

MEMBER FUNCTION DOCUMENTATION

  void SDLListBoxItem::LoadThemeStyle (const char * widgettype, const char * objectname) [virtual]

Load a style from the theme definition.

Parameters:

widgettype name of the widgettype

objectname name of the object

Loads the defined style of a given widgettype and objectname.

Reimplemented from SDLWidget.

  void SDLListBoxItem::eventBlit (SDL_Surface * srf, SDL_Rect * src, SDL_Rect * dst) [protected, virtual]

Reimplemented from SDLLabel.

Reimplemented in SDLColumnItem.

AUTHOR

Generated automatically by Doxygen for ParaGUI from the source code.